0
votes
0answers
21 views

List all install packages and sort by installed/updated date

I've install a lot of packages before, both useful and useless. This made me result back to Windows. Unfortunately, I had to return back to Ubuntu since for some technical difficulties. Anyways, ...
0
votes
1answer
205 views

Installing Chromium on Debian Wheezy

I'm currently trying to install Chromium in Debian Wheezy. When I try sudo apt-get install chromium, I get the following error message: The following packages have unmet dependencies: chromium : ...
0
votes
1answer
885 views

Ignore all dependencies for a specific package with apt-get

This is a very specific question which google didn't help answering. I'm running Ubuntu 13.04 with apt 0.9.7.7ubuntu4 for amd64 compiled on Oct 3 2013 15:25:56. I want to install Erlang from a .deb ...
1
vote
0answers
45 views

After debian downgrade all packages are in local or obsolete

I have weird problem: because, after downgrading from Debian jessie (testing) to wheezy (stable) - by changing sources.lost. Apt-get don't want to downgrade packages, but they are in Installed (local ...
0
votes
1answer
141 views

Debian: updating package lists with apt-offline, --simulate not understood for apt-get update

I can't use apt-offline to update my package lists, which means that I will get many 404s when trying to install older versions of packages that it thinks it's downloading from the .sig file it ...
0
votes
0answers
73 views

apt-get update still doesn't find autoconf

I'm using Debian Squeeze, was trying to update automake and then in the process of configuring found that autoconf was too old. Trying to install autoconf, I get this: apt-get install autoconf ...
0
votes
1answer
35 views

How to install APT on Debian Linux

I've uninstalled APT due to A LOT of issues, but it seems that I can't install it again. Can someone please help me? I'm running Linux kali 3.12-kali1-amd64 #1 SMP Debian 3.12.6-2kali1 (2014-01-06) ...
0
votes
1answer
35 views

ruby1.9.3 links to ruby1.9.1 in Debian Wheezy after install with aptitude

I have just attempted to install ruby1.9.3 with aptitude but for some odd reason it keeps symlinking /usr/bin/ruby1.9.3 to /usr/bin/ruby1.9.1. Here are the ruby version in /usr/bin: lrwxrwxrwx 1 ...
0
votes
1answer
59 views

debian install package bittwist

I am trying to install package bittwist on debian 7.4. Im linux newbie. Synaptic does not display this package. In sources.list i have line with us repository: deb http://http.us.debian.org/debian/ ...
0
votes
2answers
302 views

Debian is saying that i'm out of space when ever i try to install or remove packages

here's the return from df: ~$ df Filesystem 1K-blocks Used Available Use% Mounted on /dev/mapper/debian-root 321041 310074 0 100% / udev 10240 ...
0
votes
1answer
211 views

debian apt error Could not open file

When I issued apt-get build-dep openoffice.org I got the error as below: apt-get build-dep openoffice.org Reading package lists... Done Building dependency tree Reading state information... ...
0
votes
0answers
43 views

Implement Roll-backing in bash script

I have implemented an Ubuntu package in which bash scripts are using. I followed these for making packages in Ubuntu. ...
0
votes
0answers
91 views

Terminator (broken?) dependency

I'm trying to install terminator (term emulator) package on Debian 7.2 (stable) from testing: Package: terminator Pin: release a=testing Pin-Priority: 1000 But apt complains: # apt-get install ...
2
votes
2answers
2k views

Installing VMWare Player on Kali linux

This question has changed drastically since the first time I posted it, so I have deleted the old content. I downloaded the latest version of VMWare player and when I try to install it I get the ...
2
votes
1answer
256 views

python2.7: can't open file '/usr/lib/python2.7/py_compile.py'

I'm getting lot's of error with apt-get. I've tried to install package manualy but everything seems stucked. mio@vm:~$ sudo apt-get install --reinstall python2.7-minimal Reading package lists... Done ...
0
votes
1answer
245 views

apt - Remove not configured package

I have a Linux-Mint Debian Edition System. When I install sendmail I get an infinite loop. Reading configuration from /etc/mail/sendmail.conf. Validating configuration. Creating ...
1
vote
1answer
521 views

How can I fix broken apt/perl libraries?

I've got a Raspberry Pi set up as a web server, everything all working well until 5 mins ago, and I seem to have messed up man-db, apt or some perl library. apt-get doesn't seem to be updating and ...
3
votes
1answer
5k views

How to use Latest Python 2.7.x “The Right Way” on Ubuntu 12.04 LTS?

My project needs to stay current on Python releases, but 12.04LTS is currently stuck on 2.7.3, even though 2.7.5 is out now. Is there a way I can stay more current without manually compiling? We're ...
2
votes
2answers
396 views

How do I list all packages from unstable / experimental?

I'm running a Debian testing system with some packages installed from unstable or experimental, using apt pinning. How can I list all packages that come from unstable or experimental? I'd like to use ...
4
votes
2answers
138 views

How to find out which distribution package provides a given library

I am looking for a way to find for a given LDFLAG, like -lcryptopp, the distribution package that provides me with that that library, like libcrypto++-dev on Debian/Ubuntu. So far, I have looked up ...
3
votes
1answer
319 views

Debian - package is installed already but apt says “depends: x but it is not going to be installed”

I don't have a lot of experience with debian. I am troubleshooting a friend's debian squeeze setup who probably pasted both squeeze and wheezy sources in his sources.list. Since then I have corrected ...
1
vote
1answer
405 views

Why would apt install an i386 dependency for an amd64 package?

I have a Compaq laptop with an Intel T2370 CPU, which is 64-bit. Most of my applications are installed from the amd64 packages. I installed WINE1.4 yesterday using Software Manager in Linux Mint 13 ...
1
vote
1answer
164 views

Linux force scripted add-apt-repository

I have a script that adds a repository with add-apt-repository <repo-info> Is there a way to not prompt the user (such as with a -y flag, though that doesn't seem to work on Ubuntu 10.10)
0
votes
1answer
247 views

how to prevent local user from rebooting/shutting down when i'm ssh'd in?

I am currently remotely upgrading a friend's computer with aptitude through SSH. I have bad memories of unstable systems when they are rebooted/shut down during an upgrade process, so I'd like to ...
1
vote
1answer
430 views

E: The package tzdata needs to be reinstalled, but I can't find an archive for it

I need to re-install this to upgrade 11.04 Ubuntu to 11.10 I keep getting an error when I try: sudo apt-get install tzdata E: The package tzdata needs to be reinstalled, but I can't find an ...
66
votes
5answers
29k views

Aptitude vs. apt-get: Which is the recommended (aka the “right”) tool to use?

Some time ago I read that aptitude is the preferred tool for installation on Debian-based systems. But when you search around on how to administer a Debian-based system, then aptitude is rarely ...